Name:           tvbrowser
Version:        3.4
Release:        %mkrel 5
Summary:        A digital TV guide
License:        GPLv3+
Group:          Video/Television
Url:            http://www.tvbrowser.org/en/
BuildArch:      noarch
Source0:        https://downloads.sourceforge.net/project/tvbrowser/TV-Browser%20Releases%20%28Java%206%20and%20higher%29/%{version}/%{name}_%{version}_src.zip
BuildRequires:  ant
BuildRequires:  imagemagick
BuildRequires:  java-sdk-1.8.0-openjdk
Requires:       jre-1.8.0-openjdk

%description
TV-Browser is a digital TV guide.
TV-Browser gets the daily TV program from the internet and shows it clearly
aranged - like a printed TV guide. An internet connection is only necessary
during the data update.

%prep
%setup -q

%build
%ant runtime

%install
# copy the runtime directory to %{_datadir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a runtime/tvbrowser_default/* %{buildroot}%{_datadir}/%{name}

# create the application launcher
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
cd %{_datadir}/%{name}
java -jar tvbrowser.jar -nosplash
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# install the menu icons
pushd runtime/tvbrowser_default/imgs
for size in 16 32 48 128; do
  install -D -m644 tvbrowser${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
popd

# create the desktop entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TV Browser
Comment=A java-based TV guide
Comment[de]=Eine Java basierende TV Zeitung
Comment[fr]=Application de programme TV en Java
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Video;TV;
EOF

%files
%doc txt/COPYRIGHT.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 3.4-5.mga6
+ Revision: 951899
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 akien <akien> 3.4-4.mga5
+ Revision: 809677
- Add missing execution permission in /usr/bin/tvbrowser (mga#14260)

* Wed Oct 15 2014 umeabot <umeabot> 3.4-3.mga5
+ Revision: 747761
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4-2.mga5
+ Revision: 689992
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 akien <akien> 3.4-1.mga5
+ Revision: 667096
- Version 3.4

* Tue Aug 05 2014 luigiwalser <luigiwalser> 3.3.1-5.mga5
+ Revision: 659863
- switch to java-1.8.0-openjdk

* Sat Oct 19 2013 umeabot <umeabot> 3.3.1-4.mga4
+ Revision: 533049
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 obgr_seneca <obgr_seneca> 3.3.1-3.mga4
+ Revision: 470932
- New version 3.3.1

* Wed Jan 23 2013 barjac <barjac> 3.2-3.mga3
+ Revision: 391629
- update group

* Mon Jan 14 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 384904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 obgr_seneca <obgr_seneca> 3.2-1.mga3
+ Revision: 300062
- Adapted to new rpm group policy
- new version 3.2

* Mon Jun 25 2012 obgr_seneca <obgr_seneca> 3.1-1.mga3
+ Revision: 263524
- Added missing BR for java-sdk
- imported package tvbrowser

